/**
 * @desc 提交人工盘点数据
 */
import { defaultSuccess, defaultError, http } from '@/plugins/axios'
import type { AxiosResponse } from 'axios'
export default async function (
	/** 请求体 */
	requestBody: Array<material.ManualStockDetail>,

	success: (data: void) => void = defaultSuccess,
	fail: (error: { code: string; error?: string }) => void = defaultError,
): Promise<void> {
	return http({
		method: 'post',
		url: `/manual/audit-apply`,
		data: requestBody,
	})
		.then((data: AxiosResponse<void, unknown>) => {
			success(data.data)
		})
		.catch((error: { code: string; error?: string }) => fail(error))
}
